package datasink;

import java.io.IOException;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;

/**
 * A FileSink is a sink that writes a file (sequentially);
 *
 * @version $Id: FileSink.java,v 1.4 2010/01/05 19:02:15 zahorjan Exp $
 */

public class FileSink extends DataSink {

  String          filename;
  FileOutputStream file;

  /**
   * Constructor opens file for writing.
   */
  public FileSink(String fname) {
    filename = fname;
  }

  /**
   * Get ready to be used (again).
   */
  public void reInit() throws FileNotFoundException {
    // try to open the file for reading
    file = new FileOutputStream(filename);

    readyToWrite();  // start reader thread in DataSource
  }

  /**
   * Write data to file.  If the length is negative, it means
   * there will be no more data coming.
   */
  protected void sendToDest(byte[] buf, int len) throws IOException {
    if ( len > 0 ) {
      file.write(buf, 0, len);
    }
    else if ( len < 0 ) {
      try {
        file.close();
      } catch (Exception e) {
      }
    }
  }
}
