package util;

import java.io.*;

/**
 * Utility class to write a log file.  In this app,
 * this gives us some hope of automating the testing
 * procedure.  Because of that, this class is rather
 * special purpose and primitive.
 *
 * @version $Id: Logger.java,v 1.1 2010/01/03 20:42:26 zahorjan Exp $
 */

public class Logger {

  BufferedWriter file;

  public Logger (String logfileName) throws IOException {
    // make sure logfileName doesn't have objectionable characters
    String cleanFilename = logfileName.replace('/', '_');
    FileWriter fstream = new FileWriter(cleanFilename);
    file = new BufferedWriter(fstream);
  }

  public void log(String msg) throws IOException {
    file.write(msg + "\n");
  }

  public void close() {
    try {
      file.close();
    } catch (Exception e) {}
  }
}