package util;

/**
 * Utility class to measure elapsed time.  Values are in nanoseconds.
 *
 * @version $Id: StopWatch.java,v 1.5 2010/01/04 08:42:01 zahorjan Exp $
 */


public class StopWatch {

  private long referenceTime;

  /**
   * Constructor
   */

  public StopWatch() {
    // by default, we set the reference time to now, even though that's
    // of questionable value to the user.
    mark();
  }

  /**
   * Set the reference time to now.
   */
  public void mark() {
    referenceTime = System.nanoTime();
    //referenceTime = System.currentTimeMillis();
  }

  /**
   * Returns time since last mark() call (or since construction
   * if no mark() calls have been made), in nanoseconds.
   */
  public long elapsedTime() {
    return System.nanoTime() - referenceTime;
    //return (System.currentTimeMillis() - referenceTime) * 1000 * 1000;
  }

}